Draft WireToBSpline/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(One intermediate revision by the same user not shown)
Line 19: Line 19:
==Description==
==Description==


The {{Button|[[Image:Draft WireToBSpline.svg|16px]] [[Draft WireToBSpline|Draft WireToBSpline]]}} tool converts {{Button|[[Image:Draft_Wire.svg|16px]] [[Draft Wire|Draft Wires]]}} to {{Button|[[Image:Draft BSpline.png|16px]] [[Draft BSpline|Draft BSplines]]}}, and vice-versa.
The {{Button|[[Image:Draft WireToBSpline.svg|16px]] [[Draft WireToBSpline|Draft WireToBSpline]]}} tool converts {{Button|[[Image:Draft_Wire.svg|16px]] [[Draft Wire|Draft Wires]]}} to {{Button|[[Image:Draft_BSpline.svg|16px]] [[Draft BSpline|Draft BSplines]]}}, and vice-versa.


[[Image:Draft Wire2BSpline example.jpg|400px]]
[[Image:Draft Wire2BSpline example.jpg|400px]]
{{Caption|Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire}}
{{Caption|Convert a wire to a B-Spline, and a closed B-Spline to a closed wire}}


==Usage==
==Usage==
Line 31: Line 31:
A new object will be created; the original object will not be modified.
A new object will be created; the original object will not be modified.


{{Emphasis|Note:}} if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set {{PropertyData|Make Face}} to {{FALSE}} to see the new shape, or set {{PropertyData|Closed}} to {{FALSE}} to create an open shape.
{{Emphasis|Note:}} if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the [[3D view]]. If this is the case, manually set {{PropertyData|Make Face}} to {{FALSE}} to see the new shape, or set {{PropertyData|Closed}} to {{FALSE}} to create an open shape.


==Options==
==Options==
Line 76: Line 76:
}}
}}


{{Draft Tools navi}}

{{Userdocnavi}}
{{clear}}
{{clear}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 21:45, 21 February 2020

Draft WireToBSpline

Системное название
Draft WireToBSpline
Расположение в меню
Черчение → Направляющая в BSpline
Верстаки
Draft, Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Нет

Description

The Draft WireToBSpline tool converts Draft Wires to Draft BSplines, and vice-versa.

Convert a wire to a B-Spline, and a closed B-Spline to a closed wire

Usage

  1. Select a Draft Wire or a Draft BSpline. The tool is disabled if no object is selected.
  2. Press the Draft WireToBSpline button.

A new object will be created; the original object will not be modified.

Note: if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set ДанныеMake Face to false to see the new shape, or set ДанныеClosed to false to create an open shape.

Options

There are no options for this tool. Either it works with the selected object or not.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

There is no programming interface available for the WireToBSpline tool; however, creating a new object from the points of another is simple.

The Points attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its FreeCAD.Vector, with units in millimeters.

Example:

import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)